> ## Documentation Index
> Fetch the complete documentation index at: https://developers.quotivity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Bundle Option

> Deletes a bundle option and all its associated products and price book entries.



## OpenAPI

````yaml swagger.json delete /bundles/{bundleId}/options/{optionId}
openapi: 3.0.0
info:
  title: Quotivity API
  description: Developer APIs for the Quotivity CPQ platform.
  version: 1.0.0
servers:
  - url: https://api.secure.quotivity.com/v1
    description: Production API Server
security: []
paths:
  /bundles/{bundleId}/options/{optionId}:
    delete:
      tags:
        - Bundle Options
      summary: Delete Bundle Option
      description: >-
        Deletes a bundle option and all its associated products and price book
        entries.
      parameters:
        - name: bundleId
          in: path
          required: true
          schema:
            type: string
        - name: optionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Bundle option deleted successfully
        '401':
          description: Unauthorized
        '404':
          description: Bundle option not found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````